// IE 9 支持
// if (typeof CLASSICAL !== 'undefined' && CLASSICAL === true) {
//     // ES5 15.4.4.18 Array.prototype.forEach ( callbackfn [ , thisArg ] )
//     // From https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Array/forEach
//     if (!Array.prototype.forEach) {
//         Array.prototype.forEach = function (fun /*, thisp */) {
//             if (this === void 0 || this === null) {
//                 throw TypeError();
//             }
//
//             var t = Object(this);
//             var len = t.length >>> 0;
//             if (typeof fun !== "function") {
//                 throw TypeError();
//             }
//
//             var thisp = arguments[1], i;
//             for (i = 0; i < len; i++) {
//                 if (i in t) {
//                     fun.call(thisp, t[i], i, t);
//                 }
//             }
//         };
//     }
// }

// IE 9 支持
// if (typeof CLASSICAL !== 'undefined' && CLASSICAL === true) {
//     // ES5 15.4.4.19 Array.prototype.map ( callbackfn [ , thisArg ] )
//     // From https://developer.mozilla.org/en/JavaScript/Reference/Global_Objects/Array/Map
//     if (!Array.prototype.map) {
//         Array.prototype.map = function (fun /*, thisp */) {
//             if (this === void 0 || this === null) {
//                 throw TypeError();
//             }
//
//             var t = Object(this);
//             var len = t.length >>> 0;
//             if (typeof fun !== "function") {
//                 throw TypeError();
//             }
//
//             var res = [];
//             res.length = len;
//             var thisp = arguments[1], i;
//             for (i = 0; i < len; i++) {
//                 if (i in t) {
//                     res[i] = fun.call(thisp, t[i], i, t);
//                 }
//             }
//
//             return res;
//         };
//     }
// }

// IE 9 支持
// if (typeof CLASSICAL !== 'undefined' && CLASSICAL === true) {
//     // Production steps of ECMA-262, Edition 5, 15.4.4.14
//     // Reference: http://es5.github.io/#x15.4.4.14
//     if (!Array.prototype.indexOf) {
//         Array.prototype.indexOf = function (searchElement, fromIndex) {
//
//             var k;
//
//             // 1. Let O be the result of calling ToObject passing
//             //    the this value as the argument.
//             if (this === null) {
//                 throw new TypeError('"this" is null or not defined');
//             }
//
//             var O = Object(this);
//
//             // 2. Let lenValue be the result of calling the Get
//             //    internal method of O with the argument "length".
//             // 3. Let len be ToUint32(lenValue).
//             var len = O.length >>> 0;
//
//             // 4. If len is 0, return -1.
//             if (len === 0) {
//                 return -1;
//             }
//
//             // 5. If argument fromIndex was passed let n be
//             //    ToInteger(fromIndex); else let n be 0.
//             var n = +fromIndex || 0;
//
//             if (Math.abs(n) === Infinity) {
//                 n = 0;
//             }
//
//             // 6. If n >= len, return -1.
//             if (n >= len) {
//                 return -1;
//             }
//
//             // 7. If n >= 0, then Let k be n.
//             // 8. Else, n<0, Let k be len - abs(n).
//             //    If k is less than 0, then let k be 0.
//             k = Math.max(n >= 0 ? n : len - Math.abs(n), 0);
//
//             // 9. Repeat, while k < len
//             while (k < len) {
//                 // a. Let Pk be ToString(k).
//                 //   This is implicit for LHS operands of the in operator
//                 // b. Let kPresent be the result of calling the
//                 //    HasProperty internal method of O with argument Pk.
//                 //   This step can be combined with c
//                 // c. If kPresent is true, then
//                 //    i.  Let elementK be the result of calling the Get
//                 //        internal method of O with the argument ToString(k).
//                 //   ii.  Let same be the result of applying the
//                 //        Strict Equality Comparison Algorithm to
//                 //        searchElement and elementK.
//                 //  iii.  If same is true, return k.
//                 if (k in O && O[k] === searchElement) {
//                     return k;
//                 }
//                 k++;
//             }
//             return -1;
//         };
//     }
// }

// IE 9 支持
// if (typeof CLASSICAL !== 'undefined' && CLASSICAL === true) {
// // Production steps of ECMA-262, Edition 5, 15.4.4.21
// // Reference: http://es5.github.io/#x15.4.4.21
//     if (!Array.prototype.reduce) {
//         Array.prototype.reduce = function (callback /*, initialValue*/) {
//             'use strict';
//             if (this == null) {
//                 throw new TypeError('Array.prototype.reduce called on null or undefined');
//             }
//             if (typeof callback !== 'function') {
//                 throw new TypeError(callback + ' is not a function');
//             }
//             var t = Object(this), len = t.length >>> 0, k = 0, value;
//             if (arguments.length == 2) {
//                 value = arguments[1];
//             } else {
//                 while (k < len && !(k in t)) {
//                     k++;
//                 }
//                 if (k >= len) {
//                     throw new TypeError('Reduce of empty array with no initial value');
//                 }
//                 value = t[k++];
//             }
//             for (; k < len; k++) {
//                 if (k in t) {
//                     value = callback(value, t[k], k, t);
//                 }
//             }
//             return value;
//         };
//     }
// }